#pragma once

#include <hip/hip_runtime.h>

#define HIP_THROW_ON_ERROR(val) hip_throw_on_error((val), #val, __FILE__, __LINE__)

void hip_throw_on_error(hipError_t const err, const char* const func, const char* const file, const int line);
